> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Taxable Orders

> Gets an order divided up into "TaxableOrders" based on the source and delivery locations of the order items. Generally used for the purpose of splitting it into multiple taxable orders in order to fulfill the order in multiple locations.



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/orders/{orderId}/taxableorders
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/orders/{orderId}/taxableorders:
    get:
      tags:
        - Order
      summary: Get Taxable Orders
      description: >-
        Gets an order divided up into "TaxableOrders" based on the source and
        delivery locations of the order items. Generally used for the purpose of
        splitting it into multiple taxable orders in order to fulfill the order
        in multiple locations.
      parameters:
        - description: Unique identifier of the order whose taxable orders you want to get.
          in: path
          name: orderId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PricingTaxableOrder'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/PricingTaxableOrder'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/PricingTaxableOrder'
                type: array
          description: OK
components:
  schemas:
    PricingTaxableOrder:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/PricingTaxAttribute'
          nullable: true
          type: array
        currencyCode:
          nullable: true
          type: string
        data:
          nullable: true
          type: object
        handlingDiscount:
          $ref: '#/components/schemas/PricingAppliedDiscount'
        handlingDiscounts:
          items:
            $ref: '#/components/schemas/PricingAppliedDiscount'
          nullable: true
          type: array
        handlingFee:
          format: double
          type: number
        lineItems:
          items:
            $ref: '#/components/schemas/PricingTaxableLineItem'
          nullable: true
          type: array
        orderDate:
          format: date-time
          type: string
        orderDiscount:
          $ref: '#/components/schemas/PricingAppliedDiscount'
        orderDiscounts:
          items:
            $ref: '#/components/schemas/PricingAppliedDiscount'
          nullable: true
          type: array
        orderId:
          nullable: true
          type: string
        orderNumber:
          format: int32
          nullable: true
          type: integer
        originalDocumentCode:
          nullable: true
          type: string
        originalOrderDate:
          format: date-time
          type: string
        shippingAmount:
          format: double
          type: number
        shippingDiscount:
          $ref: '#/components/schemas/PricingAppliedOrderShippingDiscount'
        shippingDiscounts:
          items:
            $ref: '#/components/schemas/PricingAppliedOrderShippingDiscount'
          nullable: true
          type: array
        shippingMethodCode:
          nullable: true
          type: string
        shippingMethodName:
          nullable: true
          type: string
        taxContext:
          $ref: '#/components/schemas/PricingTaxContext'
        taxRequestType:
          nullable: true
          type: string
      type: object
    PricingTaxAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    PricingAppliedDiscount:
      properties:
        couponCode:
          nullable: true
          type: string
        couponSetId:
          format: int32
          nullable: true
          type: integer
        discount:
          $ref: '#/components/schemas/PricingDiscount'
        impact:
          format: double
          type: number
      type: object
    PricingTaxableLineItem:
      properties:
        data:
          nullable: true
          type: object
        destinationAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        discountTotal:
          format: double
          nullable: true
          type: number
        discountedTotal:
          format: double
          nullable: true
          type: number
        feeTotal:
          format: double
          nullable: true
          type: number
        handlingAmount:
          format: double
          nullable: true
          type: number
        id:
          nullable: true
          type: string
        isTaxable:
          nullable: true
          type: boolean
        lineItemPrice:
          format: double
          type: number
        originAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        productCode:
          nullable: true
          type: string
        productDiscount:
          $ref: '#/components/schemas/PricingAppliedLineItemProductDiscount'
        productDiscounts:
          items:
            $ref: '#/components/schemas/PricingAppliedLineItemProductDiscount'
          nullable: true
          type: array
        productName:
          nullable: true
          type: string
        productProperties:
          items:
            $ref: '#/components/schemas/PricingProductProperty'
          nullable: true
          type: array
        quantity:
          format: int32
          type: integer
        reason:
          nullable: true
          type: string
        shippingAmount:
          format: double
          type: number
        shippingDiscount:
          $ref: '#/components/schemas/PricingAppliedLineItemShippingDiscount'
        shippingDiscounts:
          items:
            $ref: '#/components/schemas/PricingAppliedLineItemShippingDiscount'
          nullable: true
          type: array
        variantProductCode:
          nullable: true
          type: string
      type: object
    PricingAppliedOrderShippingDiscount:
      properties:
        couponCode:
          nullable: true
          type: string
        couponSetId:
          format: int32
          nullable: true
          type: integer
        discount:
          $ref: '#/components/schemas/PricingDiscount'
        impact:
          format: double
          type: number
        shippingMethodCode:
          nullable: true
          type: string
      type: object
    PricingTaxContext:
      properties:
        customerId:
          nullable: true
          type: string
        destinationAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        originAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        taxContextId:
          nullable: true
          type: string
        taxExemptId:
          nullable: true
          type: string
      type: object
    PricingDiscount:
      properties:
        amount:
          format: double
          type: number
        amountType:
          nullable: true
          type: string
        code:
          nullable: true
          type: string
        condition:
          $ref: '#/components/schemas/PricingDiscountCondition'
        discountId:
          format: int32
          type: integer
        doesNotApplyToMultiShipToOrders:
          nullable: true
          type: boolean
        doesNotApplyToProductsWithSalePrice:
          type: boolean
        expirationDate:
          deprecated: true
          format: date-time
          nullable: true
          type: string
        friendlyDescription:
          nullable: true
          type: string
        includedPriceLists:
          items:
            type: string
          nullable: true
          type: array
        isPublic:
          nullable: true
          type: boolean
        labels:
          items:
            type: string
          nullable: true
          type: array
        maxDiscountValuePerRedemption:
          format: double
          nullable: true
          type: number
        maxRedemptions:
          format: int32
          nullable: true
          type: integer
        maximumDiscountValuePerOrder:
          format: double
          nullable: true
          type: number
        maximumRedemptionsPerOrder:
          format: int32
          nullable: true
          type: integer
        maximumUsesPerUser:
          format: int32
          nullable: true
          type: integer
        name:
          nullable: true
          type: string
        redemptions:
          format: int32
          type: integer
        requiresAuthenticatedUser:
          type: boolean
        scope:
          nullable: true
          type: string
        stackingLayer:
          format: int32
          type: integer
        target:
          $ref: '#/components/schemas/PricingDiscountTarget'
        type:
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          pattern: ^[A-Z]{2}$
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    PricingAppliedLineItemProductDiscount:
      properties:
        appliesToSalePrice:
          type: boolean
        couponCode:
          nullable: true
          type: string
        couponSetId:
          format: int32
          nullable: true
          type: integer
        discount:
          $ref: '#/components/schemas/PricingDiscount'
        impact:
          format: double
          type: number
        impactPerUnit:
          format: double
          type: number
        isForced:
          type: boolean
        normalizedImpact:
          format: double
          type: number
        quantity:
          format: int32
          type: integer
      type: object
    PricingProductProperty:
      properties:
        attributeDetail:
          $ref: '#/components/schemas/PricingProductAttribute'
        attributeFQN:
          nullable: true
          type: string
        isHidden:
          nullable: true
          type: boolean
        isMultiValue:
          nullable: true
          type: boolean
        values:
          items:
            $ref: '#/components/schemas/PricingProductPropertyValue'
          nullable: true
          type: array
      type: object
    PricingAppliedLineItemShippingDiscount:
      properties:
        couponCode:
          nullable: true
          type: string
        couponSetId:
          format: int32
          nullable: true
          type: integer
        discount:
          $ref: '#/components/schemas/PricingDiscount'
        impact:
          format: double
          type: number
        impactPerUnit:
          format: double
          type: number
        isForced:
          type: boolean
        normalizedImpact:
          format: double
          type: number
        quantity:
          format: int32
          type: integer
        shippingMethodCode:
          nullable: true
          type: string
      type: object
    PricingDiscountCondition:
      properties:
        couponCode:
          nullable: true
          type: string
        customerSegmentIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        excludedCategoryIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        excludedProductCodes:
          items:
            type: string
          nullable: true
          type: array
        expirationDate:
          format: date-time
          nullable: true
          type: string
        includedCategoryIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        includedProductCodes:
          items:
            type: string
          nullable: true
          type: array
        maximumOrderAmount:
          format: double
          nullable: true
          type: number
        minDistinctProductsRequired:
          format: int32
          nullable: true
          type: integer
        minimumCategorySubtotalBeforeDiscounts:
          format: double
          nullable: true
          type: number
        minimumLifetimeValueAmount:
          format: double
          nullable: true
          type: number
        minimumOrderAmount:
          format: double
          nullable: true
          type: number
        minimumQuantityProductsRequiredInCategories:
          format: int32
          nullable: true
          type: integer
        minimumQuantityRequiredProducts:
          format: int32
          nullable: true
          type: integer
        paymentWorkflows:
          items:
            type: string
          nullable: true
          type: array
        requiresCoupon:
          type: boolean
        startDate:
          format: date-time
          nullable: true
          type: string
      type: object
    PricingDiscountTarget:
      properties:
        excludedCategoriesOperator:
          nullable: true
          type: string
        excludedCategoryIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        excludedProductCodes:
          items:
            type: string
          nullable: true
          type: array
        includeAllProducts:
          type: boolean
        includedCategoriesOperator:
          nullable: true
          type: string
        includedCategoryIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        includedProductCodes:
          items:
            type: string
          nullable: true
          type: array
        shippingMethods:
          items:
            type: string
          nullable: true
          type: array
        shippingZones:
          items:
            type: string
          nullable: true
          type: array
        type:
          nullable: true
          type: string
      type: object
    PricingProductAttribute:
      properties:
        dataType:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        inputType:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        valueType:
          nullable: true
          type: string
      type: object
    PricingProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````